%undefine __libtoolize
%define objprelink 0

Name: mysqlnavigator
Version: 1.4.1
Release: alt3
URL: http://sql.kldp.org/mysql
License: GPL
Group:	Databases
Summary: MySQL Navigator is MySQL database server GUI client program.
Packager: Yehuda Ben-Yosef <ilar@altlinux.ru>
Source0: %name-%version.tar.bz2
Source1: %name.png

Requires: libqt3-gcc_compiled = %__gcc_version_base

# Automatically added by buildreq on Fri Oct 11 2002
BuildRequires: XFree86-libs Xft fontconfig freetype2 
BuildRequires: gcc-c++ glibc-devel-static libMySQL-devel 
BuildRequires: libcups libexpat libjpeg liblcms libmng 
BuildRequires: libqt3-devel libssl libstdc++-devel zlib-devel
BuildRequires: libqt3-gcc_compiled = %__gcc_version_base
%if %objprelink
BuildRequires: objprelink
%endif

%description
The purpose of MySQL Navigator is to provide a useful client interface to MySQL database servers, whilst supporting multiple operating systems and languages. You can currently import/export database, enter queries, get result sets, edit scripts, run scripts, add, alter, and delete users, and retrieve client and server information.

%prep
%setup -q

%build
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

export CFLAGS="%optflags"
export CXXFLAGS="%optflags"

%configure --with-qt=/usr/lib/qt3 --with-mysql-libraries=/usr/lib/mysql --with-mysql-includes=/usr/include/mysql

%if %objprelink
%make_build CXX=g++prelink
%else
%make_build
%endif

%install
%make DESTDIR=%buildroot install


# icons
mkdir -p $RPM_BUILD_ROOT%_iconsdir
cp %SOURCE1 $RPM_BUILD_ROOT%_iconsdir/%name.png
%set_verify_elf_method relaxed

#menu
(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%name <<EOF
?package(%name): \
command="/usr/bin/%name" \
title=" MySQL Navigator" \
longtitle="MySQL database server client program" \
needs="x11" \
icon="%name.png" \
section="Applications/Databases"
EOF
)

#%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files
%doc README INSTALL COPYING AUTHORS ChangeLog NEWS
%_bindir/*
%_menudir/%name
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_libdir/*.so.*
%_iconsdir/*

%changelog
* Sun Jan 26 2003 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.4.1-alt3
- remove serial
- new requires and buildrequires

* Tue Nov 26 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 2:1.4.1-alt2
- New menu
- Compaling in objprelink

* Tue Oct 22 2002 Yehuda Ben-Yosef <ilar@altlinux.ru> 1.4.1-alt1
- 1.4.1

- specfile cleanup

